## SUBSINDEX Overloaded Class Indexing

Section: Object Oriented Programming

### Usage

This method is called for classes in the expressions of the form

      c = subsindex(a)

where `a` is an object, and `c` is an index vector. It is also called for

      c = b(a)

in which case `subsindex(a)` must return a vector containing integers between `0` and `N-1` where `N` is the number of elements in the vector `b`.